0

I'm trying to make a resource pack for the Hypixel Network's Skyblock gamemode, where they have hundreds of custom items. Many people including me are making large resource packs to assign custom textures to these items and differentiate between them more easily.

While Hypixel supports all players 1.8.9 onward, the server itself runs on 1.8.9 which is what most of the players use. I'm creating the pack for 1.8.9 to ensure maximum compatibility.

Some of the swords used aren't actually swords at all, for example the Emerald Blade is an actual emerald. When I try to apply my texture it works perfectly fine in first person and in the inventory, but in 3rd person it looks odd. Rather than the player gripping the sword like normal, they are holding it like an item.

Is there a way to edit the item model? I can steal the required JSON from Minecraft's code, but I'm not able to get the sword's properties file to sense my model.json file at all. I tested it by scaling up the model by 2 in the 3rd person and nothing changed.

Here's my emerald_blade.properties file:

type=item
items=minecraft:emerald
texture=./emerald_blade.png
model=./model.json
nbt.display.Name=ipattern:*Emerald Blade*

And here's model.json:

{
    "parent": "builtin/generated",
    "textures": {
        "layer0": "mcpatcher/cit/melee/emerald_blade"
    },
    "display": {
        "thirdperson": {
            "rotation": [ -90, 0, 0 ],
            "translation": [ 0, 1, -3 ],
            "scale": [ 1.1, 1.1, 0.55 ]
        },
        "firstperson": {
            "rotation": [ 0, -135, 25 ],
            "translation": [ 0, 4, 2 ],
            "scale": [ 1.7, 1.7, 1.7 ]
        }
    }
}

Both files and emerald_blade.png can be found in the mcpatcher/cit/melee folder. As stated before, the texture works perfectly well but the model isn't showing up. Is this even supported in 1.8.9?

1
  • I looked through the settings and couldn't find any option for disabling custom models so this actually might be impossible...
    – Sam Hill
    Jul 14, 2020 at 21:05

2 Answers 2

1

A while ago, OptiFine introduced the mcpatcher code base into its own mod, which is where the concepts of CIT/CEM/CTM originated. At this point in time, it was almost a 1-1 match, so even the file structure remained the same (which is so in the case of 1.8.9). In later releases, OptiFine edited their code and relocated the file structure entirely to the OptiFine subdirectory. To apply a custom item texture in an earlier version, create an "mcpatcher" directory (under assets/minecraft) instead of OptiFine and locate your cit subdirectory there.

Edit: I was having a lot of problems with getting the display properties in particular to work with 1.8.9 models. If anyone is in a similar situation, instead of manually editing the JSON files or hoping that a program like Cubik Pro you can download this mod and tweak the display properties in-game, then edit the JSON files with their values. Their download links don't work, but here is a working download from mediafire.

1
  • That's not the issue I was having. The texture was displaying, because obviously my folder was called "mcpatcher." The model just didn't work until a later Optifine 1.8.9 update.
    – Sam Hill
    Oct 5, 2023 at 3:17
0

Upon doing a bit more research, I learned that OptiFine only began supporting custom item models in 2017, which was after the release of 1.9 when OptiFine stopped updating their 1.8.9 version. I'll just have to live with it.

4
  • "I'll just have to live with it." …or update. You said it yourself, this is a change from 2017, 3 years ago already. Sep 24, 2020 at 20:39
  • @FabianRöling I was making the pack for one of Hypixel’s gamemodes. So unless I can convince one of the largest Minecraft servers to update, leading to a massive loss of playerbase and very unstable experiences, I will just have to live with it.
    – Sam Hill
    Sep 24, 2020 at 20:41
  • They're still on 1.8.9? Wow, that's horrible. Also, "very unstable" is not how I would describe e.g. 1.12.2. But this is getting off-topic now. Sep 24, 2020 at 20:43
  • 1
    @FabianRöling 1.12.2 isn’t too unstable, it’s more 1.13+. Plus Hypixel as a whole is primarily PVP based, and most experienced players agree that 1.8 PVP is vastly superior to 1.9 PVP. I’m not going to get into it here but you get the point, they can’t update.
    – Sam Hill
    Sep 24, 2020 at 20:45

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .